Subject: Re: bug#67536: 29.1; Calc mode's math-read-preprocess-string conses unnecessarily

From: Mattias Engdegård <[email-masked]>
Date: Tue, 19 Dec 2023 17:16:10 +0100

18 dec. 2023 kl. 12.39 skrev Raffael Stocker <[email-masked]>:

> ...and my test did not catch that edge case.  I extended the test with
> this and an empty ‘math-read-replacement-list’ for good measure
> (although I don't quite know which use case that might be).  The test
> fails for the previous version and succeeds for the original and this
> new one.

Thanks, now pushed to master.
The code could be sped up further if necessary but I suppose this will do for now. Otherwise, let us know.